module LLVM.DSL.Debug.StablePtr where

import Foreign.StablePtr (StablePtr, castStablePtrToPtr)
import Control.Monad (when)


{-# INLINE trace #-}
trace :: String -> StablePtr a -> IO (StablePtr a)
trace name s = do
   when False $
      putStrLn $ "EventIterator." ++ name ++ ": " ++ (show $ castStablePtrToPtr $ s)
   return s
